GNU Radio's HPSDR Package: HermesProxy Class Reference

GNU Radio's HPSDR Package

Public Member Functions | Public Attributes | List of all members
HermesProxy Class Reference

`#include <HermesProxy.h>`

## Public Member Functions
| HermesProxy (int RxFreq0, int RxFreq1, int RxFreq2, int RxFreq3, int RxFreq4, int RxFreq5, int RxFreq6, int RxFreq7, int TxFreq, int RxPre, int PTTModeSel, int PTTTxMute, int PTTRxMute, unsigned char TxDr, int RxSmp, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexRPF, int Verbose, int NumRx, const char *MACAddr)
| ~HermesProxy ()
void | Stop ()
void | Start ()
void | SendTxIQ ()
void | BuildControlRegs (unsigned, RawBuf_t)
int | PutTxIQ (const gr_complex *, int)
void | ScheduleTxFrame (unsigned long)
RawBuf_t | GetNextTxBuf ()
void | UpdateHermes ()
void | ReceiveRxIQ (unsigned char *)
IQBuf_t | GetRxIQ ()
IQBuf_t | GetNextRxBuf ()
float | Unpack2C (const unsigned char *inptr)
void | PrintRawBuf (RawBuf_t)
void | ReceiveMicLR ()

## Public Attributes
unsigned | Receive0Frequency
unsigned | Receive1Frequency
unsigned | Receive2Frequency
unsigned | Receive3Frequency
unsigned | Receive4Frequency
unsigned | Receive5Frequency
unsigned | Receive6Frequency
unsigned | Receive7Frequency
unsigned | TransmitFrequency
int | NumReceivers
int | RxSampleRate
unsigned char | TxDrive
unsigned char | RxAtten
unsigned int | ClockSource
unsigned char | AlexRxAnt
unsigned char | AlexTxAnt
unsigned char | AlexRxHPF
unsigned char | AlexTxLPF
int | PTTMode
bool | RxPreamp
bool | ADCdither
bool | ADCrandom
bool | ADCoverload
bool | Duplex
unsigned char | HermesVersion
unsigned int | AIN1
unsigned int | AIN2
unsigned int | AIN3
unsigned int | AIN4
unsigned int | AIN5
unsigned int | AIN6
unsigned int | AlexRevPwr
unsigned int | SlowCount
int | Verbose
bool | TxStop
bool | PTTOffMutesTx
bool | PTTOnMutesRx
char | interface [16]
char | mactarget [18]
unsigned int | metis_entry
unsigned int | USBRowCount [MAXRECEIVERS]

## Constructor & Destructor Documentation

## ◆ HermesProxy()

HermesProxy::HermesProxy | ( | int | RxFreq0,
|  | int | RxFreq1,
|  | int | RxFreq2,
|  | int | RxFreq3,
|  | int | RxFreq4,
|  | int | RxFreq5,
|  | int | RxFreq6,
|  | int | RxFreq7,
|  | int | TxFreq,
|  | int | RxPre,
|  | int | PTTModeSel,
|  | int | PTTTxMute,
|  | int | PTTRxMute,
|  | unsigned char | TxDr,
|  | int | RxSmp,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexRPF,
|  | int | Verbose,
|  | int | NumRx,
|  | const char * | MACAddr
| ) |  |

## ◆ ~HermesProxy()

HermesProxy::~HermesProxy | ( |  | ) |

## Member Function Documentation

## ◆ BuildControlRegs()

void HermesProxy::BuildControlRegs | ( | unsigned | ,
|  | RawBuf_t |
| ) |  |

## ◆ GetNextRxBuf()

IQBuf_t HermesProxy::GetNextRxBuf | ( |  | ) |

## ◆ GetNextTxBuf()

RawBuf_t HermesProxy::GetNextTxBuf | ( |  | ) |

## ◆ GetRxIQ()

IQBuf_t HermesProxy::GetRxIQ | ( |  | ) |

## ◆ PrintRawBuf()

void HermesProxy::PrintRawBuf | ( | RawBuf_t |  | ) |

## ◆ PutTxIQ()

int HermesProxy::PutTxIQ | ( | const gr_complex * | ,
|  | int |
| ) |  |

## ◆ ReceiveMicLR()

void HermesProxy::ReceiveMicLR | ( |  | ) |

## ◆ ReceiveRxIQ()

void HermesProxy::ReceiveRxIQ | ( | unsigned char * |  | ) |

## ◆ ScheduleTxFrame()

void HermesProxy::ScheduleTxFrame | ( | unsigned long |  | ) |

## ◆ SendTxIQ()

void HermesProxy::SendTxIQ | ( |  | ) |

## ◆ Start()

void HermesProxy::Start | ( |  | ) |

## ◆ Stop()

void HermesProxy::Stop | ( |  | ) |

## ◆ Unpack2C()

float HermesProxy::Unpack2C | ( | const unsigned char * | inptr | ) |

## ◆ UpdateHermes()

void HermesProxy::UpdateHermes | ( |  | ) |

## Member Data Documentation

## ◆ ADCdither

bool HermesProxy::ADCdither

## ◆ ADCoverload

bool HermesProxy::ADCoverload

## ◆ ADCrandom

bool HermesProxy::ADCrandom

## ◆ AIN1

unsigned int HermesProxy::AIN1

## ◆ AIN2

unsigned int HermesProxy::AIN2

## ◆ AIN3

unsigned int HermesProxy::AIN3

## ◆ AIN4

unsigned int HermesProxy::AIN4

## ◆ AIN5

unsigned int HermesProxy::AIN5

## ◆ AIN6

unsigned int HermesProxy::AIN6

## ◆ AlexRevPwr

unsigned int HermesProxy::AlexRevPwr

## ◆ AlexRxAnt

unsigned char HermesProxy::AlexRxAnt

## ◆ AlexRxHPF

unsigned char HermesProxy::AlexRxHPF

## ◆ AlexTxAnt

unsigned char HermesProxy::AlexTxAnt

## ◆ AlexTxLPF

unsigned char HermesProxy::AlexTxLPF

## ◆ ClockSource

unsigned int HermesProxy::ClockSource

## ◆ Duplex

bool HermesProxy::Duplex

## ◆ HermesVersion

unsigned char HermesProxy::HermesVersion

## ◆ interface

char HermesProxy::interface[16]

## ◆ mactarget

char HermesProxy::mactarget[18]

## ◆ metis_entry

unsigned int HermesProxy::metis_entry

## ◆ NumReceivers

int HermesProxy::NumReceivers

## ◆ PTTMode

int HermesProxy::PTTMode

## ◆ PTTOffMutesTx

bool HermesProxy::PTTOffMutesTx

## ◆ PTTOnMutesRx

bool HermesProxy::PTTOnMutesRx

## ◆ Receive0Frequency

unsigned HermesProxy::Receive0Frequency

## ◆ Receive1Frequency

unsigned HermesProxy::Receive1Frequency

## ◆ Receive2Frequency

unsigned HermesProxy::Receive2Frequency

## ◆ Receive3Frequency

unsigned HermesProxy::Receive3Frequency

## ◆ Receive4Frequency

unsigned HermesProxy::Receive4Frequency

## ◆ Receive5Frequency

unsigned HermesProxy::Receive5Frequency

## ◆ Receive6Frequency

unsigned HermesProxy::Receive6Frequency

## ◆ Receive7Frequency

unsigned HermesProxy::Receive7Frequency

## ◆ RxAtten

unsigned char HermesProxy::RxAtten

## ◆ RxPreamp

bool HermesProxy::RxPreamp

## ◆ RxSampleRate

int HermesProxy::RxSampleRate

## ◆ SlowCount

unsigned int HermesProxy::SlowCount

## ◆ TransmitFrequency

unsigned HermesProxy::TransmitFrequency

## ◆ TxDrive

unsigned char HermesProxy::TxDrive

## ◆ TxStop

bool HermesProxy::TxStop

## ◆ USBRowCount

unsigned int HermesProxy::USBRowCount[MAXRECEIVERS]

## ◆ Verbose

int HermesProxy::Verbose

The documentation for this class was generated from the following file:

- HermesProxy.h